# OSGeo::FDO::Expression::ExpressionCollection Class Reference
[OSGeo::FDO::Expression]

Inheritance diagram for OSGeo::FDO::Expression::ExpressionCollection:

[legend]

List of all members.

## Detailed Description

ExpressionCollection is a collection of Expression objects.

()

## Public Member Functions
System::Int32 | Add (Expression *value)
| Adds a Expression object into the collection.
System::Void | Clear ()
| Removes all elements from the collection.
System::Boolean | Contains (OSGeo::FDO::Expression::Expression *value)
| Determines whether the collection contains a specific Expression object.
System::Void | CopyTo (OSGeo::FDO::Expression::Expression *array[], System::Int32 startAt)
| Copies the elements of the collection to an array.
| ExpressionCollection (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a ExpressionCollection object based on an unmanaged instance of the object.
| ExpressionCollection ()
| The defaut constructor for the object.
__property System::Int32 | get_Count (System::Void)
| Gets the count of items in collection.
__property OSGeo::FDO::Expression::Expression * | get_Item (System::Int32 index)
| Gets an item in the collection.
__property OSGeo::FDO::Expression::Expression * | get_RealTypeItem (System::Int32 index)
| Gets the item in the collection at the specified index.
__sealed System::Collections::IEnumerator * | GetEnumerator (System::Void)
| Gets an enumerator that can iterate through a collection.
System::Int32 | IndexOf (OSGeo::FDO::Expression::Expression *value)
| Determines the index of a specific Expression object.
System::Void | Insert (System::Int32 index, OSGeo::FDO::Expression::Expression *value)
| Inserts a Expression object into the collection at the specified position.
System::Void | Remove (OSGeo::FDO::Expression::Expression *value)
| Removes the first occurrence of a specific Expression object.
System::Void | RemoveAt (System::Int32 index)
| Removes the index-th ArgumentDefinition from this collection.
__property System::Void | set_Item (System::Int32 index, OSGeo::FDO::Expression::Expression *value)
| Sets the Expression item at the specified index.
__property System::Void | set_RealTypeItem (System::Int32 index, OSGeo::FDO::Expression::Expression *value)
| Sets the Expression item at the specified index.